<?php
/**
 * Adds classes to the body tag
 */
 
function busybella_body_classes( $classes ) {

	// Customizer styling class
	if ( is_customize_preview() ) {
		$classes[] = 'dtr-customizer';
	}

	// header class
	if( 'header-v2' == get_theme_mod( 'busybella_header_layout', 'header-v1' ) ) {
		$classes[] = 'dtr-header-v2';
	} else {
		$classes[] = 'dtr-header-v1';
	}
	
	// header class
	if( 'dtr-lateral-post-footer' == get_theme_mod( 'busybella_post_footer_layout', 'dtr-lateral-post-footer' ) ) {
		$classes[] = 'dtr-lateral-post-footer';
	} else {
		$classes[] = 'dtr-center-post-footer';
	}

	// Return classes
	return $classes;
}
add_filter( 'body_class', 'busybella_body_classes' );