<?php
// themebase color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_themebase_color',
	'label'			 => esc_html__( 'Themebase color', 'busybella' ),
	'section'		 => 'busybella_section_themebase',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-meta-category a', '.wp-caption figcaption' ),
			'property'	 => 'color',
		),
		array(
			'element'	 => array( '.dtr-dropcap.dtr-dropcap-circle', '.dtr-dropcap.dtr-dropcap-square' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// body
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_body_typo',
	'label'       => esc_html__( 'Body', 'busybella' ),
	'section'     => 'busybella_section_body_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.70',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) );

// h1
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_h1_typo',
	'label'       => esc_html__( 'H1', 'busybella' ),
	'section'     => 'busybella_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '48px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h1',
		),
	),
) );

// h2
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_h2_typo',
	'label'       => esc_html__( 'H2', 'busybella' ),
	'section'     => 'busybella_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '38px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h2',
		),
	),
) );

// h3
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_h3_typo',
	'label'       => esc_html__( 'H3', 'busybella' ),
	'section'     => 'busybella_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '32px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h3',
		),
	),
) );

// h4
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_h4_typo',
	'label'       => esc_html__( 'H4', 'busybella' ),
	'section'     => 'busybella_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '25px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h4',
		),
	),
) );

// h5
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_h5_typo',
	'label'       => esc_html__( 'H5', 'busybella' ),
	'section'     => 'busybella_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h5',
		),
	),
) );

// h6
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_h6_typo',
	'label'       => esc_html__( 'H6', 'busybella' ),
	'section'     => 'busybella_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h6',
		),
	),
) );

// default link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_default_link_color',
	'label'			 => esc_html__( 'Link Color', 'busybella' ),
	'section'		 => 'busybella_section_default_link',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => 'a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// default link hover
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_default_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'busybella' ),
	'section'		 => 'busybella_section_default_link',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => 'a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header r1 color / link color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_header_r1_color',
	'label'			 => esc_html__( 'Text / Link Color', 'busybella' ),
	'section'		 => 'busybella_section_header_r1_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-row-one' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_header_r1_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'busybella' ),
	'section'		 => 'busybella_section_header_r1_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-row-one a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header r2 color / link color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_header_r2_color',
	'label'			 => esc_html__( 'Text / Link Color', 'busybella' ),
	'section'		 => 'busybella_section_header_r2_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-row-two, .dtr-header-row-two a, .dtr-header-row-two .dtr-social-list li a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_header_r2_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'busybella' ),
	'section'		 => 'busybella_section_header_r2_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-row-two a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// page title
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_page_title_typo',
	'label'       => esc_html__( 'Page Title / Archives Page Title', 'busybella' ),
	'section'     => 'busybella_section_page_title_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '32px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-page-title',
		),
	),
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_breadcrumb_typo',
	'label'       => esc_html__( 'Breadcrumb', 'busybella' ),
	'section'     => 'busybella_section_page_title_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '11px',
		'line-height'    => '0',
		'letter-spacing' => '0.20',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#999999',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.breadcrumbs, .breadcrumbs a',
		),
	),
) );

// sidebar starts
// sidebar_widget_bg_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_sidebar_widget_bg_color',
	'label'			 => esc_html__( 'Sidebar Heading Background Color', 'busybella' ),
	'section'		 => 'busybella_section_sidebar_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-widget-area .widget-title, .dtr-relatedposts-title, .comments-title, #reply-title',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_sidebar_widget_typo',
	'label'       => esc_html__( 'Sidebar Heading', 'busybella' ),
	'section'     => 'busybella_section_sidebar_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'capitalize',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-widget-area .widget-title, .dtr-relatedposts-title, .comments-title, #reply-title',
		),
	),
) );
// sidebar ends
// footer starts
// footer text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_footer_color',
	'label'			 => esc_html__( 'Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#b8b8b8',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section, #dtr-footer-section .dtr-meta-style',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_footer_link_color',
	'label'			 => esc_html__( 'Link Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link hover
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_footer_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer headings
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_footer_headings_color',
	'label'			 => esc_html__( 'Headings Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element' => array( '#dtr-footer-section h1', '#dtr-footer-section h2', '#dtr-footer-section h3', '#dtr-footer-section h4', '#dtr-footer-section h5', '#dtr-footer-section h6' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer widget headings
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_footer_widget_title',
	'label'       => esc_html__( 'Footer Widget Title', 'busybella' ),
	'section'     => 'busybella_section_footer_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#ffffff',
		'text-transform' => 'capitalize',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '#dtr-footer-section .widget-title',
		),
	),
) );

// copyright text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_copyright_color',
	'label'			 => esc_html__( 'Copyright Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#787878',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .dtr-copyright',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_copyright_link_color',
	'label'			 => esc_html__( 'Copyright Link Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#b8b8b8',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .dtr-copyright a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link hover
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_copyright_link_hover_color',
	'label'			 => esc_html__( 'Copyright Link Hover Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .dtr-copyright a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer ends
// menu starts
// main menu Color Style
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_main_menu_color_style',
	'label'       => esc_html__( 'Main menu Color Style', 'busybella' ),
	'description'	=> wp_kses( __("Useful if you have main menu and sticky menu on different color backgrounds - light and dark. You can set default menu for dark background and alt menu for light background or vice-versa", 'busybella'), array( 'br' => array(), ) ),
	'section'     => 'busybella_section_menu_typo',
	'default'     => '',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-menu-default'	=> esc_html__('Default', 'busybella'),
		'dtr-menu-alt'		=> esc_html__('Alt', 'busybella'),
		''					=> esc_html__('As per set for theme : Default or Alt', 'busybella'),
	),
) );

// Sticky menu Color Style
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_sticky_menu_color_style',
	'label'       => esc_html__( 'Sticky menu Color Style', 'busybella' ),
	'section'     => 'busybella_section_menu_typo',
	'default'     => '',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-menu-default'	=> esc_html__('Default', 'busybella'),
		'dtr-menu-alt'		=> esc_html__('Alt', 'busybella'),
		''					=> esc_html__('As per set for theme : Default or Alt', 'busybella'),
	),
) );

// menu font
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_menu_link_typo',
	'label'       => esc_html__( 'Menu Font Settings', 'busybella' ),
	'section'     => 'busybella_section_menu_typo',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.sf-menu li a',
		),
	),
) );

// dropdown font
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_menu_dropdown_typo',
	'label'       => esc_html__( 'Menu Dropdown Font Settings', 'busybella' ),
	'section'     => 'busybella_section_menu_typo',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.sf-menu li li a',
		),
	),
) );

// menu link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_link_color',
	'label'			 => esc_html__( 'Default Menu Link color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_link_hover_color',
	'label'			 => esc_html__( 'Default Menu Link Hover color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_link_active_color',
	'label'			 => esc_html__( 'Default Menu Link Active color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu li.current-menu-item a', '.sf-menu li.current-menu-ancestor > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Link Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu li li a', '.sf-menu .sub-menu li.current-menu-item li a', '.sf-menu li.current-menu-item li a', '.sf-menu ul li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Link - Hover / Active - Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu .sub-menu li.current-menu-item li a:hover', '.sf-menu .sub-menu li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a', '.sf-menu ul li a:hover', '.sf-menu ul li:hover > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link Hover / Active Background Color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_dropdown_hoverbg_color',
	'label'			 => esc_html__( 'Default menu Dropdown Link Hover / Active Background Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu .sub-menu li.current-menu-item li a:hover', '.sf-menu .sub-menu li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a', '.sf-menu ul li a:hover', '.sf-menu ul li:hover > a', '.sf-menu ul a:hover', '.sf-menu ul li:hover > a', '.sf-menu ul li.current-menu-item > a', '.sf-menu .current-menu-item ul.sub-menu li a:hover', '.sf-menu ul li.current-menu-parent > a', '.sf-menu .sub-menu li.current-menu-item li a', '.sf-menu li.current-menu-item li a', '.sf-menu ul li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Background Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu ul', '.sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Menu Dropdown Border color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menu_border_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Link Border bottom color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu:first-child > li li a' ),
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );
// menu ends
// sticky menu starts

// menu link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_link_color',
	'label'			 => esc_html__( 'Alternative Menu Link color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt .sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_link_hover_color',
	'label'			 => esc_html__( 'Alternative Menu Link Hover color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt .sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_link_active_color',
	'label'			 => esc_html__( 'Alternative Menu Link Active color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt  .sf-menu li.current-menu-item a', '.dtr-menu-alt  .sf-menu li.current-menu-ancestor > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu li li a', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu ul li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link - Hover / Active - Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-alt .sf-menu ul li a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link Hover / Active Background Color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_dropdown_hoverbg_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link Hover / Active Background Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-alt .sf-menu ul li a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a', '.dtr-menu-alt .sf-menu ul a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a', '.dtr-menu-alt .sf-menu ul li.current-menu-item > a', '.dtr-menu-alt .sf-menu .current-menu-item ul.sub-menu li a:hover', '.dtr-menu-alt .sf-menu ul li.current-menu-parent > a', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu ul li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Background Color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu ul', '.dtr-menu-alt .sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Menu Dropdown Border color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_alt_menu_border_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link Border bottom color', 'busybella' ),
	'section'		 => 'busybella_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu:first-child > li li a' ),
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );
// sticky menu ends
// blog starts
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_archive_post_title_typo',
	'label'       => esc_html__( 'Heading of Posts on Home Page / Archives', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '30px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-post-title a, .has-full-first-post .dtr-first-post .dtr-post-title a',
		),
	),
) );
// single post
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_single_post_title_typo',
	'label'       => esc_html__( 'Single Post Heading', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '30px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.single .dtr-post-title',
		),
	),
) );
// blog meta
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_blog_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '11px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-meta, .dtr-meta a, .dtr-meta-style, .comment-author-link',
		),
	),
) );
// blog meta prefixes
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_meta_prefix_typo',
	'label'       => esc_html__( 'Blog Meta Prefixes ( Tags / Share )', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '11px',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-meta-title',
		),
	),
) );
// comment meta
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_comment_meta_typo',
	'label'       => esc_html__( 'Comment Meta', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '11px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-reply a, .dtr-comment-metadata a:first-child',
		),
	),
) );
// cat meta
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_meta_cat_typo',
	'label'       => esc_html__( 'Categories in Blog Meta', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Fjalla One',
		'variant'        => 'regular',
		'font-size'      => '10px',
		'line-height'    => '1.5',
		'letter-spacing' => '2',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#9d3442',
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-cat-style, .dtr-cat-style a',
		),
	),
) );

// tags
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_tags_typo',
	'label'       => esc_html__( 'Tags', 'busybella' ),
	'section'     => 'busybella_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => '400',
		'font-size'      => '11px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-post-tags a, .tagcloud a',
		),
	),
) );

// button starts
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_button_typo',
	'label'       => esc_html__( 'Buttons Fonts', 'busybella' ),
	'section'     => 'busybella_section_buttons_typo',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'line-height'    => '20px',
		'letter-spacing' => '1',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.themebtn, .dtr-read-more, .dtr-post-carousel-link',
		),
	),
) );

// read more background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_read_more_bg_color',
	'label'			 => esc_html__( 'Read More Button Background Color', 'busybella' ),
	'section'		 => 'busybella_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// read more background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_read_more_border_color',
	'label'			 => esc_html__( 'Read More Button Border Color', 'busybella' ),
	'section'		 => 'busybella_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// read more color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_read_more_color',
	'label'			 => esc_html__( 'Read More Button Color', 'busybella' ),
	'section'		 => 'busybella_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '#b8b8b8',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more, .dtr-post-carousel-link',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_form_button_typo',
	'label'       => esc_html__( 'Form Buttons Fonts', 'busybella' ),
	'section'     => 'busybella_section_buttons_typo',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'line-height'    => '20px',
		'letter-spacing' => '1',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
		),
	),
) );

// form buttons background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_form_btn_bg_color',
	'label'			 => esc_html__( 'Forms Button Background Color', 'busybella' ),
	'section'		 => 'busybella_section_buttons_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// form buttons border
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_form_btn_border_color',
	'label'			 => esc_html__( 'Forms Button Border Color', 'busybella' ),
	'section'		 => 'busybella_section_buttons_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// form buttons color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_form_btn_color',
	'label'			 => esc_html__( 'Forms Button Color', 'busybella' ),
	'section'		 => 'busybella_section_buttons_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );
// button ends

// testimonial
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_testimonial_typo',
	'label'       => esc_html__( 'Testimonial Text', 'busybella' ),
	'section'     => 'busybella_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.70',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-testimonial-description',
		),
	),
) );

// quote
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_blockquote_typo',
	'label'       => esc_html__( 'Blockquote', 'busybella' ),
	'section'     => 'busybella_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '18px',
		'line-height'    => '1.75',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#9d3442',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'blockquote',
		),
	),
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_blockquote_pf_typo',
	'label'       => esc_html__( 'Quote and Link Post Format', 'busybella' ),
	'section'     => 'busybella_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '18px',
		'line-height'    => '1.75',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#ffffff',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-ql-format blockquote, .dtr-ql-text',
		),
	),
) );

// social starts
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_color',
	'label'			 => wp_kses( __("Social Icon Style - Circle / Square <br>Icon color", 'busybella'), array( 'br' => array(), ) ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-circle .dtr-social-list li a', '.dtr-social-square .dtr-social-list li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_bg_color',
	'label'			 => esc_html__( 'Icon Background color', 'busybella' ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-circle .dtr-social-list li a', '.dtr-social-square .dtr-social-list li a' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_border_color',
	'label'			 => esc_html__( 'Icon Border color', 'busybella' ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-circle .dtr-social-list li a', '.dtr-social-square .dtr-social-list li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
// social share
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_share_color',
	'label'			 => wp_kses( __("Social Share <br>Icon Style - Circle / Square<br>Icon color", 'busybella'), array( 'br' => array(), ) ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share.dtr-social-circle .dtr-social-list li a', '.dtr-social-share.dtr-social-square .dtr-social-list li a ' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_share_bg_color',
	'label'			 => esc_html__( 'Background color ( Style - Circle / Square )', 'busybella' ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share.dtr-social-circle .dtr-social-list li a', '.dtr-social-share.dtr-social-square .dtr-social-list li a ' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_share_border_color',
	'label'			 => esc_html__( 'Border color', 'busybella' ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share.dtr-social-circle .dtr-social-list li a', '.dtr-social-share.dtr-social-square .dtr-social-list li a ' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );

busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_social_share_icon_color',
	'label'			 => wp_kses( __("Social Share <br>Icon Style - Only Icon<br>Icon color", 'busybella'), array( 'br' => array(), ) ),
	'section'		 => 'busybella_section_social_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share .dtr-social-list li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
// social ends