<?php
/**
 * General Panel Sections
 */
function busybella_kirki_section_general( $wp_customize ) {
	$wp_customize->add_section( 'busybella_section_general_content', array(
		'title'			 => esc_html__( 'Content Section', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
	$wp_customize->add_section( 'busybella_section_pages', array(
		'title'			 => esc_html__( 'Pages', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
	$wp_customize->add_section( 'busybella_section_responsive', array(
		'title'			 => esc_html__( 'Responsive', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
	$wp_customize->add_section( 'busybella_section_header_code', array(
		'title'			 => esc_html__( 'Custom Code in Header', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
	$wp_customize->add_section( 'busybella_section_seo', array(
		'title'			 => esc_html__( 'SEO', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
	$wp_customize->add_section( 'busybella_section_share_band_settings', array(
		'title'			 => esc_html__( 'Social Share Section Above Footer', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
	$wp_customize->add_section( 'busybella_section_scroll_top', array(
		'title'			 => esc_html__( 'Scroll To Top', 'busybella' ),
		'panel'			 => 'busybella_panel_general',
	) );
}
add_action( 'customize_register', 'busybella_kirki_section_general' );