<?php
/**
 * Template for displaying content - archive
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="dtr-post-content-wrapper clearfix">
		<?php if ( ! post_password_required() ) :  ?>
			<div class="owl-carousel dtr-owl-theme dtr-gallery-posts-slider">
				<?php $files = get_post_meta( get_the_ID(), '_busybella_pf_gallery', 1 );  
foreach ( (array) $files as $attachment_id => $attachment_url ) {
		echo '<div class="dtr-featured-posts-slide">';
		echo wp_get_attachment_image( $attachment_id, 'full' );
		echo '</div>';
	}
	?>
			</div>
			<?php endif; ?>
		<div class="dtr-entry-content-inner">
			<header class="dtr-entry-header entry-header">
				<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); ?>
				<?php get_template_part( '/template-parts/post/entry-title' ); ?>
			</header>
			<?php if ( ! post_password_required() ) : 
			
			get_template_part( '/template-parts/post/meta/blog-meta' );
			get_template_part( '/template-parts/post/entry-content' ); 
			endif; ?>
		</div>
	</div>
	<?php if( !( $wp_query->post_count == $wp_query->current_post+1 ) ) : ?>
	<span class="dtr-post-footer clearfix"></span>
	<?php endif; ?>
</article>