<?php
/**
 * Template for displaying content - archive
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$pf_link_text	= get_post_meta( get_the_ID(), '_busybella_pf_link_text', true );
$pf_link_url 	= get_post_meta( get_the_ID(), '_busybella_pf_link_url', true );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="dtr-post-content-wrapper clearfix dtr-no-thumb">
		<div class="dtr-entry-content-inner">
			<?php if ( post_password_required() ) : ?>
			<header class="dtr-entry-header entry-header">
				<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); ?>
				<?php get_template_part( '/template-parts/post/entry-title' ); ?>
			</header>
			<?php  endif;  ?>
			<?php if ( ! post_password_required() ) : 
			if (  $pf_link_text != '' || $pf_link_url != '' ) { ?>
			<div class="dtr-ql-format-wrapper dtr-entry-ql-format">
				<div class="dtr-ql-format"> <a href="<?php esc_url( the_permalink() ); ?>" rel="bookmark"> <span class="dtr-ql-text"><?php echo esc_attr( $pf_link_text ) ?></span> <span class="dtr-quote-source"><?php echo esc_attr( $pf_link_url ) ?></span> </a> </div>
			</div>
			<?php } endif; ?>
			<?php if ( post_password_required() ) : 
			get_template_part( '/template-parts/post/entry-content' ); 
			endif; ?>
		</div>
	</div>
	<?php if( !( $wp_query->post_count == $wp_query->current_post+1 ) ) : ?>
	<span class="dtr-post-footer clearfix"></span>
	<?php endif; ?>
</article>