<?php
/**
 * Template for displaying entry content - video post format
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$pf_video_embed = get_post_meta( get_the_ID(), '_busybella_pf_video_embed', true ); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="dtr-post-content-wrapper clearfix">
		<div class="dtr-entry-content-inner">
			<?php if ( ! post_password_required() ) : ?>
			<div class="dtr-entry-thumb">
				<div class="dtr-video-wrapper">
					<?php  echo wp_kses( $pf_video_embed, busybella_embed_allowed_tags() ); ?>
				</div>
			</div>
			<?php endif; ?>
			<header class="dtr-entry-header entry-header">
				<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); 
				get_template_part( '/template-parts/post/entry-title' ); 
				get_template_part( '/template-parts/post/meta/blog-meta' ); ?>
			</header>
			<?php get_template_part( '/template-parts/post/entry-content' ); ?>
		</div>
	</div>
	<?php if( !( $wp_query->post_count == $wp_query->current_post+1 ) ) : ?>
	<span class="dtr-post-footer clearfix"></span>
	<?php endif; ?>
</article>