<?php
/**
 * Blog post meta
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<ul class="dtr-meta">
	
	<li class="dtr-meta-author"><span class="vcard author" <?php busybella_schema_markup( 'author_name' ); ?>><span class="fn" <?php busybella_schema_markup( 'author_link' ); ?>>
		<?php the_author_posts_link(); ?>
		</span></span></li>
		
		<li class="dtr-meta-date"><span class="entry-date updated" <?php busybella_schema_markup( 'publish_date' ); ?>><?php echo get_the_date(); ?></span></li>
	<li class="dtr-meta-comments">
		<?php comments_popup_link( esc_html__( '0 Comments', 'busybella' ), esc_html__( '1 Comment',  'busybella' ), esc_html__( '% Comments', 'busybella' ), 'comments-link' ); ?>
	</li>
</ul>