<?php
/**
 * Template for displaying single post layout - standard post format
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php busybella_schema_markup( 'blog_post' ); ?> >
	<div class="dtr-post-content-wrapper">
		<?php if ( ! post_password_required() ) : 
			if ( has_post_thumbnail() ) {
				get_template_part( '/template-parts/post/media/single-thumb' ); 
			} 	endif;  ?>
		<header class="dtr-entry-header entry-header">
			<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); ?>
			<?php get_template_part( '/template-parts/post/single-title' ); ?>
			<?php get_template_part( '/template-parts/post/meta/blog-meta' ); ?>
		</header>
		<?php get_template_part( '/template-parts/post/single-content' );   ?>
		<?php get_template_part( '/template-parts/post/meta/blog-footer-meta' ); ?>
	
	</div>
</article>