<?php
/**
 * The template for displaying Category Archive pages.
 */
get_header(); ?>
<?php busybella_page_header_hook(); ?>
<div id="dtr-main-wrapper" class="dtr-container <?php echo busybella_blog_classes(); ?> <?php echo esc_attr( busybella_first_post_classes() ); ?> <?php echo esc_attr( busybella_get_layout_class() ); ?>">
	<main id="dtr-primary-section" class="dtr-content-area" <?php busybella_schema_markup( 'main' ); ?>>
		<?php
	 if ( have_posts() ) : 
			// get selected layout
			if ( 'dtr-blog-grid-masonry-3col' == get_theme_mod( 'busybella_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-masonry' == get_theme_mod( 'busybella_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-fitrows' == get_theme_mod( 'busybella_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-fitrows-3col' == get_theme_mod( 'busybella_blog_entry_style', 'dtr-blog-default' ) ) {
				get_template_part( '/template-parts/post/archive-layout', 'masonry' ); 
			} elseif ( 'dtr-blog-left-thumb' == get_theme_mod( 'busybella_blog_entry_style', 'dtr-blog-default' ) ) {
				get_template_part( '/template-parts/post/archive-layout', 'left-thumb' ); 
			} else {
				get_template_part( '/template-parts/post/archive-layout', 'standard' ); 
			}
			
		 	// pagination
			if ( 'nextprev' == get_theme_mod( 'busybella_blog_entry_pagination_style', 'numbered' ) ) {
				busybella_archive_nav();
			} else {
				busybella_numbered_pagination();
			}
		else : 
			get_template_part( '/template-parts/post/content', 'none' ); 
		endif; 
		?>
	</main>
	<!-- #dtr-primary-section -->
	<?php get_sidebar(); ?>
	<div class="clearfix"></div>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer(); ?>