<?php
/**
 * Layout Panel Sections
 */
function busybella_kirki_section_header( $wp_customize ) {
	$wp_customize->add_section( 'busybella_section_header_general_settings', array(
		'title'			 => esc_html__( 'Header General Settings', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
	$wp_customize->add_section( 'busybella_section_header_r1_settings', array(
		'title'			 => esc_html__( 'Header Row One', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
	$wp_customize->add_section( 'busybella_section_header_r2_settings', array(
		'title'			 => esc_html__( 'Header Row Two', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
	$wp_customize->add_section( 'busybella_section_menubar_settings', array(
		'title'			 => esc_html__( 'Menubar', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
	$wp_customize->add_section( 'busybella_section_logo_settings', array(
		'title'			 => esc_html__( 'Logo', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
	$wp_customize->add_section( 'busybella_section_page_title_settings', array(
		'title'			 => esc_html__( 'Page Title', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
	$wp_customize->add_section( 'busybella_section_sticky_header_settings', array(
		'title'			 => esc_html__( 'Sticky header', 'busybella' ),
		'panel'			 => 'busybella_panel_header',
	) );
}
add_action( 'customize_register', 'busybella_kirki_section_header' );