<?php
/**
 * Typography Panel Sections
 */
function busybella_kirki_section_typography( $wp_customize ) {
	$wp_customize->add_section( 'busybella_section_themebase', array(
		'title'			 => esc_html__( 'Themebase Color', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_body_typo', array(
		'title'			 => esc_html__( 'Body', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_headings_typo', array(
		'title'			 => esc_html__( 'Headings', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_default_link', array(
		'title'			 => esc_html__( 'Default Link', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_header_r1_typo', array(
		'title'			 => esc_html__( 'Header Row One', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_header_r2_typo', array(
		'title'			 => esc_html__( 'Header Row Two', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_page_title_typo', array(
		'title'			 => esc_html__( 'Page Title / Archives Page Title', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_sidebar_typo', array(
		'title'			 => esc_html__( 'Sidebar', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_fp_slider_typo', array(
		'title'			 => esc_html__( 'Featured Posts Slider', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_promoboxes_typo', array(
		'title'			 => esc_html__( 'Promoboxes', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_footer_typo', array(
		'title'			 => esc_html__( 'Footer', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_menu_typo', array(
		'title'			 => esc_html__( 'Menu', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_blog_typo', array(
		'title'			 => esc_html__( 'Blog', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_buttons_typo', array(
		'title'			 => esc_html__( 'Buttons', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_quote_typo', array(
		'title'			 => esc_html__( 'Testimonial / Blockquotes / Quote and Link Post Format', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );
	$wp_customize->add_section( 'busybella_section_social_typo', array(
		'title'			 => esc_html__( 'Social Icons', 'busybella' ),
		'panel'			 => 'busybella_panel_typography',
	) );

}
add_action( 'customize_register', 'busybella_kirki_section_typography' );