<?php
/**
 * The Logo
 */
$busybella_sticky_logo_width = $busybella_sticky_logo_height = '';
$busybella_sticky_logo_width 	= get_theme_mod( 'busybella_sticky_logo_width' );
$busybella_sticky_logo_height	= get_theme_mod( 'busybella_sticky_logo_height' );
if ( 'busybella_show_image_logo' == get_theme_mod( 'busybella_logo_type', 'busybella_show_image_logo' ) && '' != get_theme_mod( 'busybella_sticky_image_logo' ) ) { ?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>"><img src="<?php echo esc_url( get_theme_mod( 'busybella_sticky_image_logo' ) ); ?>" alt="<?php bloginfo('title'); ?>" width="<?php echo esc_attr( $busybella_sticky_logo_width ); ?>" height="<?php echo esc_attr( $busybella_sticky_logo_height ); ?>" data-rjs="2"></a>
<?php } elseif ( 'busybella_show_image_logo' == get_theme_mod( 'busybella_logo_type', 'busybella_show_image_logo' ) && '' == get_theme_mod( 'busybella_sticky_image_logo' ) ) { ?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>"><img src="<?php echo esc_url( get_theme_mod( 'busybella_image_logo' ) ); ?>" alt="<?php bloginfo('title'); ?>" width="<?php echo esc_attr( $busybella_sticky_logo_width ); ?>" height="<?php echo esc_attr( $busybella_sticky_logo_height ); ?>" data-rjs="2"></a>
<?php } elseif ( 'busybella_show_text_logo' == get_theme_mod( 'busybella_logo_type' ) ) { ?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>"><?php echo esc_attr( get_theme_mod( 'busybella_text_logo' ) ); ?></a>
<?php } else { ?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>">
<?php bloginfo('title'); ?>
</a>
<?php } ?>