<?php
/**
 * Template for audio left thumb
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$pf_audio_embed = get_post_meta( get_the_ID(), '_busybella_pf_audio_embed', true ); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="dtr-post-content-wrapper clearfix">
		<?php if ( ! post_password_required() ) : ?>
		<div class="dtr-entry-thumb-wrapper">
			<div class="dtr-entry-thumb">
				<?php  echo wp_kses( $pf_audio_embed, busybella_embed_allowed_tags() ); ?>
			</div>
		</div>
		<?php endif; ?>
		<div class="dtr-entry-content-inner">
			<header class="dtr-entry-header entry-header">
				<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); ?>
				<?php get_template_part( '/template-parts/post/entry-title' ); ?>
			</header>
			<?php if ( ! post_password_required() ) : ?>
			<?php get_template_part( '/template-parts/post/meta/blog-meta' );
			endif; 
			// entry content
			get_template_part( '/template-parts/post/entry-content' );  ?>
		</div>
	</div>
	<?php if( !( $wp_query->post_count == $wp_query->current_post+1 ) ) : ?>
	<span class="dtr-post-footer clearfix"></span>
	<?php endif; ?>
</article>