<?php
/**
 * Template for displaying single post content - video post format
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$pf_video_embed = get_post_meta( get_the_ID(), '_busybella_pf_video_embed', true ); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php busybella_schema_markup( 'blog_post' ); ?> >
	<div class="dtr-post-content-wrapper">
		<?php if ( ! post_password_required() ) :  ?>
		<div class="dtr-entry-thumb">
			<div class="dtr-video-wrapper">
				<?php  echo wp_kses( $pf_video_embed, busybella_embed_allowed_tags() ); ?>
			</div>
		</div>
		<?php endif; ?>
		<header class="dtr-entry-header entry-header">
			<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); ?>
			<?php get_template_part( '/template-parts/post/single-title' ); ?>
			<?php get_template_part( '/template-parts/post/meta/blog-meta' ); ?>
		</header>
		<?php get_template_part( '/template-parts/post/single-content' );   ?>
		<?php get_template_part( '/template-parts/post/meta/blog-footer-meta' ); ?>
	</div>
</article>